/* Tablet screens (≤ 900px) */
@media (max-width: 900px) {
    body{
        padding: 2rem;
    }

    main {
        max-width: 100vw;
        width: 100%;;
        padding-left: 1rem;
        padding-right: 1rem;
        gap: 2rem;
    }

    header{
        max-width: 100vw;
        width: 100%;
    }

    .dropdowns, .cta {
        gap: 1.2rem;
        flex-direction: row;
    }

    .facts {
        font-size: 1rem;
    }

    .heading {
        font-size: 2rem;
    }
    .subheading, #generate ,#copy,#download,#share,select{
        font-size: 1.1rem;
    }


}

/* Mobile screens (≤ 600px) */
@media (max-width: 600px) {

    body{
        padding: 2rem;
    }

    header{
        max-width: 100vw;
        width: 100%;
        height: 8%;
    }

    main {
        max-width: 100vw;
        width: 100%;
        padding-left: 0;
        padding-right: 0;
        border-radius: 1.2rem;
        gap: 2rem;
    }

    .dropdowns, .cta {
        gap: 0.7rem;
        width: 80%;
        flex-direction: row;
    }

    .facts {
        width: 80%;
        max-width: 99vw;
        font-size: 1rem;
        padding: 1rem 1rem;
        border-radius: 0.7rem;
    }
    .heading {
        font-size: 1.6rem;
    }
    .subheading, select ,#generate,#copy,#download,#share{
        font-size: 1rem;
    }
}


/* Extra Small Devices (≤ 400px) */
@media (max-width: 400px) {

    body{
        padding: 2rem;
    }

    main{
        width: 100%;
    }

    .facts {
        font-size: 1rem;
    }

    .heading {
        font-size: 0.95rem;
    }

    .subheading ,#generate,#copy,#download,#share,select{
        font-size: 0.78rem;
    }
}

@media (min-width: 901px) and (max-width: 1480px) {

    body{
        padding: 2rem;
    }

    main {
        width: auto;
        padding-left: 1rem;
        padding-right: 1rem;
        padding: 1rem;
        border-radius: 2rem;
        gap: 2rem;
    }
    
    .dropdowns, .cta {
        flex-direction: row;
        gap: 3rem;
        width: 90%;
        height: 8%;
    }

    select {
        font-size: 1.2rem;
        padding-left: 2rem;
    }

    .facts {
        font-size: 1rem;
        padding: 1rem 2rem;
        border-radius: 2rem;
    }
    .heading {
        font-size: 3rem;
    }
    .subheading{
        font-size: 1.5rem;
    }

    #generate, #copy,#download,#share{
        font-size: 1rem;
    }
}